BizKitHub
DocsAPI ReferenceLedger/bff/ledger/backfill/start
postLedgerAdmin BFF

/bff/ledger/backfill/start

Start a bulk posting job (first batch runs immediately)

LedgerpostBffLedgerBackfillStart

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
kind"dry_run" | "execute"Required
dateFromstring | nullOptional
One of 2:
Variant 1
string
Example2027-01-15
Variant 2
null
dateTostring | nullOptional
One of 2:
Variant 1
string
Example2027-01-15
Variant 2
null

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/ledger/backfill/start

post
curl -X POST "https://api.bizkithub.com/bff/ledger/backfill/start" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key